Subject: Re: bug#54220: [PATCH] doc: Add "Using TeX and LaTeX" chapter.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 02 Mar 2022 13:11:05 +0100

Ludovic Courtès <[email-masked]> writes:

>>> It’s a top-level chapter, because I couldn’t find any better place, but
>>> I think it’s fine.
>>
>> Hmm, maybe in (possibly renamed) “Application Setup”?
>
> “Application Setup” is about configuration on a foreign distro, so I
> don’t think it’s the right place.
>
> Perhaps we need a more general chapter on using things under Guix, where
> we could also have (say) a “Working with Python” section, and perhaps we
> could move “Installing Debugging Files” there?  I thought I’d leave that
> for later.

Sounds good.

>>> +@cindex @TeX{} packages
>>> +@cindex @LaTeX{} packages
>>> +Guix provides packages for the @TeX{} and @LaTeX{} typesetting systems,
>>> +taken from the @uref{https://www.tug.org/texlive/, @TeX{} Live
>>> +distribution}.  However, because @TeX{} Live is so huge and because
>>> +finding your way in this maze is tricky, we thought that you, dear user,
>>> +would welcome guidance on how to deploy the relevant packages so you can
>>> +compile your @TeX{} and @LaTeX{} documents.
>>
>> Why single out TeX in particular?
>
> You mean LaTeX, right?

Heh, see: that shows how subjective it is :) No, I did mean TeX, because
in my experience it is extremely uncommon to use TeX directly.

>> TeX Live also includes ConTeXt, Xe(La)TeX, Lua(La)TeX etc.  I guess
>> LaTeX is the most widely known and TeX is the common basis of them
>> all, so maybe that’s good enough a reason.
>
> Yeah, I think to most people it’s all the same :-) and LaTeX is by far
> the most famous one.
>
> Maybe we could phrase it differently, like “Using TeX, LaTeX, and
> Related Tools”?

Nah, it’s fine.  By the time I wrote the last sentence you quoted above
I had convinced myself that it’s fine to mention TeX (because it’s the
foundation) and LaTeX (because it’s the most popular).

>>> +the features you need---@code{texlive-latex-listings} for the
>>> +@code{listings} package, @code{texlive-hyperref} for @code{hyperref},
>>> +@code{texlive-beamer} for Beamer, @code{texlive-latex-pgf} for PGF/TikZ,
>>
>> I’d very much like to avoid giving the old names visibility.
>> “texlive-latex-listings” is old as is “texlive-latex-pgf”.  It really
>> should be “texlive-listings” and “texlive-pgf”.
>
> [...]
>
> Yeah, I can rename at least these two packages in a first patch (I will
> have to check the number of rebuilds) and adjust the text to refer to
> the new names.

Thanks.

-- 
Ricardo